- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage users
- /
- Judge whether the user exists
¶ Determine if the user exists
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.
Determine if the user exists based on the conditions. You can filter by user name, email address, mobile phone number, third-party external ID, etc.
¶ Method Name
ManagementClient.isUserExists
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| username | string | No | - | Username, unique in the user pool | bob |
| string | No | - | Email address, case-insensitive | test@example.com | |
| phone | string | No | - | Phone number without area code. If Yes, specify the area code in the phoneCountryCode parameter. | 188xxxx8888 |
| externalId | string | No | - | Third-party external ID | 10010 |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.IsUserExistsReqDto;
import cn.authing.sdk.java.dto.IsUserExistsRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class IsUserExistsTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
IsUserExistsReqDto reqDto = new IsUserExistsReqDto();
reqDto.setUsername("test");
IsUserExistsRespDto response = client.isUserExists(reqDto);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: IsUserExistsRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsUserExistsDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"exists": true
}
}
¶ Data Structure
¶ IsUserExistsDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| exists | boolean | Yes | User Yes No exists | true |
